Subject: [PATCH] arm: davinci: pdctl next bit position incorrect

From: [email-masked] (Sekhar Nori)
Date: Thu, 26 Apr 2012 23:04:02 +0530

Hi Sergei,

On 4/20/2012 8:39 PM, Sergei Shtylyov wrote:
> Hello.
> 
> On 04/19/2012 08:52 PM, Sekhar Nori wrote:
> 
>>>>> The PDCTL NEXT bit is incorrectly set to bit 1 instead of bit 0. This
>>>>> patch fixes this issue
> 
>>>>> Signed-off-by: Murali Karicheri<[email-masked]>
> 
>>>> Applying this for v3.5.
> 
>>>     But why not to 3.4? It concerns turning on DSP domain on DM644x.
> 
>> Yes, but I think as you noted sometime before, no one is really
>> depending on kernel to turn on DSP domain on DM644x.
> 
>    Looks like you're right (though I don't remember noting it :-).
> 
>> Its probably being
>> done from U-Boot or ROM code. This is not a v3.4 regression either.
> 
>    U-Boot does it only when DSPLINK support is not desired.

Okay. Since DSPLink existed long before this code to turn on domain was
introduced by Murali, it must be having its own private code to do this.
So, looks like this should not really be a regression for anyone.

Thanks,
Sekhar